Skip to main content
GET
List Settlement Batch Transactions

Authorizations

X-SFPY-AGGREGATOR-SECRET-KEY
string
header
required

Path Parameters

raast-aggregator-id
string
required

The unique identifier for the aggregator

Example:

"agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e"

settlement-batch-id
string
required

Settlement batch token. Must start with sb_ and be exactly 39 characters.

Example:

"sb_1328a110-2cf5-4e13-993e-55792ec6b76c"

Query Parameters

cursor
integer<int64>

Cursor for pagination. Pass the previous response next_cursor, or omit/0 for the first page.

Example:

0

limit
integer<int32>

Page size. Default 30. Maximum 100. 0 is treated as the default.

Example:

30

direction
enum<string>

Sort direction on the underlying numeric id. Must be uppercase ASC or DESC. Invalid or empty values default to DESC.

Available options:
ASC,
DESC
Example:

"DESC"

only_settlement_txns
boolean

When true, return settlement payouts in settlement_transactions instead of general transactions in transactions.

Example:

false

Response

Paginated list of transactions linked to a settlement batch.

Standard response structure for successful operations

api_version
string

The current version of the API spec

Example:

"v1"

data
object

Contains the response data